/// <reference types="react" />
import * as React from 'react';
import { ICheckProps } from './Check.types';
import { ITheme } from '../../Styling';
export declare const Check: React.StatelessComponent<ICheckProps>;
/**
 * Memoized helper for rendering a Check. Always uses fast icons.
 * @param theme - Theme, so the check can be re-rendered if it changes.
 * @param checked - Whether the check is checked.
 * @param className - Class name for styling the check.
 */
export declare const getCheck: (theme?: ITheme | undefined, checked?: boolean | undefined, className?: string | undefined) => JSX.Element;
