/// <reference types="react" />
import * as React from 'react';
import { IChoiceGroup, IChoiceGroupOption, IChoiceGroupProps } from './ChoiceGroup.types';
export interface IChoiceGroupState {
    keyChecked: string | number;
    /** Is true when the control has focus. */
    keyFocused?: string | number;
}
/**
 * {@docCategory ChoiceGroup}
 */
export declare class ChoiceGroupBase extends React.Component<IChoiceGroupProps, IChoiceGroupState> implements IChoiceGroup {
    static defaultProps: IChoiceGroupProps;
    private _id;
    private _labelId;
    private _inputElement;
    private focusedVars;
    private changedVars;
    constructor(props: IChoiceGroupProps);
    /**
     * Gets the current checked option.
     */
    readonly checkedOption: IChoiceGroupOption | undefined;
    componentWillReceiveProps(newProps: IChoiceGroupProps): void;
    render(): JSX.Element;
    focus(): void;
    private _onFocus;
    private _onBlur;
    private _onChange;
    private _getKeyChecked(props);
}
