/// <reference types="react" />
import * as React from 'react';
import { INav, INavProps } from './Nav.types';
export declare function isRelativeUrl(url: string): boolean;
export interface INavState {
    isGroupCollapsed: {
        [key: string]: boolean;
    };
    isLinkExpandStateChanged?: boolean;
    selectedKey?: string;
}
export declare class NavBase extends React.Component<INavProps, INavState> implements INav {
    static defaultProps: INavProps;
    constructor(props: INavProps);
    render(): JSX.Element | null;
    readonly selectedKey: string | undefined;
    private _onRenderLink;
    private _renderNavLink(link, linkIndex, nestingLevel);
    private _renderCompositeLink(link, linkIndex, nestingLevel);
    private _renderLink(link, linkIndex, nestingLevel);
    private _renderLinks(links, nestingLevel);
    private _renderGroup;
    private _renderGroupHeader;
    private _onGroupHeaderClicked(group, ev);
    private _onLinkExpandClicked(link, ev);
    private _onNavAnchorLinkClicked(link, ev);
    private _onNavButtonLinkClicked(link, ev);
    private _isLinkSelected(link);
    private _isGroupExpanded(group);
    private _toggleCollapsed(group);
}
