/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { ITooltipHostProps, ITooltipHost } from './TooltipHost.types';
import { TooltipDelay } from './Tooltip.types';
export interface ITooltipHostState {
    isTooltipVisible: boolean;
}
export declare class TooltipHostBase extends BaseComponent<ITooltipHostProps, ITooltipHostState> implements ITooltipHost {
    static defaultProps: {
        delay: TooltipDelay;
    };
    private static _currentVisibleTooltip;
    private _tooltipHost;
    private _classNames;
    private _closingTimer;
    constructor(props: ITooltipHostProps);
    render(): JSX.Element;
    componentWillUnmount(): void;
    show: () => void;
    dismiss: () => void;
    private _getTargetElement();
    private _onTooltipMouseEnter;
    private _onTooltipMouseLeave;
    private _clearDismissTimer;
    private _hideTooltip;
    private _toggleTooltip(isTooltipVisible);
}
