/// <reference types="react" />
import * as React from 'react';
export interface IWithResponsiveModeState {
    responsiveMode?: ResponsiveMode;
}
export declare enum ResponsiveMode {
    small = 0,
    medium = 1,
    large = 2,
    xLarge = 3,
    xxLarge = 4,
    xxxLarge = 5,
}
/**
 * Allows a server rendered scenario to provide a default responsive mode.
 */
export declare function setResponsiveMode(responsiveMode: ResponsiveMode | undefined): void;
export declare function withResponsiveMode<TProps extends {
    responsiveMode?: ResponsiveMode;
}, TState>(ComposedComponent: new (props: TProps, ...args: any[]) => React.Component<TProps, TState>): any;
