"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Persona_1 = require("office-ui-fabric-react/lib/Persona");
var Label_1 = require("office-ui-fabric-react/lib/Label");
var Stack_1 = require("office-ui-fabric-react/lib/Stack");
var merge_styles_1 = require("@uifabric/merge-styles");
var examplePersona = {
    imageUrl: 'https://static2.sharepointonline.com/files/fabric/office-ui-fabric-react-assets/persona-female.png',
    imageInitials: 'AL',
    text: 'Annie Lindqvist',
    secondaryText: 'Software Engineer',
    tertiaryText: 'In a meeting',
    optionalText: 'Available at 4:00pm'
};
var rootClass = merge_styles_1.mergeStyles({
    selectors: {
        '.ms-Persona': {
            margin: '0 20px 20px 0'
        }
    }
});
var PersonaPresenceExample = /** @class */ (function (_super) {
    tslib_1.__extends(PersonaPresenceExample, _super);
    function PersonaPresenceExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PersonaPresenceExample.prototype.render = function () {
        return (React.createElement("div", { className: rootClass },
            React.createElement(Stack_1.Stack, { horizontal: true },
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Online"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online })))),
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Online + Out of Office"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true }))))),
            React.createElement(Stack_1.Stack, { horizontal: true },
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Away"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away })))),
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Away + Out of Office"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true }))))),
            React.createElement(Stack_1.Stack, { horizontal: true },
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Busy"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy })))),
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Busy + Out of Office"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true }))))),
            React.createElement(Stack_1.Stack, { horizontal: true },
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Do not Disturb"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd })))),
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Do not Disturb + Out of Office"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true }))))),
            React.createElement(Label_1.Label, null, "Blocked"),
            React.createElement(Stack_1.Stack, { horizontal: true },
                React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked }),
                React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked })),
                React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked })),
                React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked }))),
            React.createElement(Stack_1.Stack, { horizontal: true },
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Offline"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline })))),
                React.createElement(Stack_1.Stack, null,
                    React.createElement(Label_1.Label, null, "Offline + Out of Office"),
                    React.createElement(Stack_1.Stack, { horizontal: true },
                        React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size10, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true }),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true })),
                        React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true })))))));
    };
    return PersonaPresenceExample;
}(React.Component));
exports.PersonaPresenceExample = PersonaPresenceExample;
//# sourceMappingURL=Persona.Presence.Example.js.map