"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var office_ui_fabric_react_1 = require("office-ui-fabric-react");
var VerticalStackWrapExample = /** @class */ (function (_super) {
    tslib_1.__extends(VerticalStackWrapExample, _super);
    function VerticalStackWrapExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onHeightChange = function (value) {
            _this.setState({ stackHeight: value });
        };
        _this.state = {
            stackHeight: 420
        };
        return _this;
    }
    VerticalStackWrapExample.prototype.render = function () {
        var stackHeight = this.state.stackHeight;
        var styles = office_ui_fabric_react_1.mergeStyleSets({
            root: {
                background: office_ui_fabric_react_1.DefaultPalette.themeTertiary,
                height: stackHeight
            },
            item: {
                width: 50,
                height: 50,
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                background: office_ui_fabric_react_1.DefaultPalette.themePrimary,
                color: office_ui_fabric_react_1.DefaultPalette.white
            }
        });
        var tokens = {
            sectionStack: {
                childrenGap: 10
            },
            wrapStack: {
                childrenGap: 20
            }
        };
        return (React.createElement(office_ui_fabric_react_1.Stack, { tokens: tokens.sectionStack },
            React.createElement(office_ui_fabric_react_1.Slider, { label: "Change the stack height to see how child items wrap onto multiple columns:", min: 1, max: 420, step: 1, defaultValue: 420, showValue: true, onChange: this._onHeightChange }),
            React.createElement(office_ui_fabric_react_1.Stack, { wrap: true, tokens: tokens.wrapStack, className: styles.root },
                React.createElement("span", { className: styles.item }, "1"),
                React.createElement("span", { className: styles.item }, "2"),
                React.createElement("span", { className: styles.item }, "3"),
                React.createElement("span", { className: styles.item }, "4"),
                React.createElement("span", { className: styles.item }, "5"),
                React.createElement("span", { className: styles.item }, "6"))));
    };
    return VerticalStackWrapExample;
}(React.Component));
exports.VerticalStackWrapExample = VerticalStackWrapExample;
//# sourceMappingURL=Stack.Vertical.Wrap.Example.js.map