import * as tslib_1 from "tslib";
import * as React from 'react';
import { mergeStyleSets, DefaultPalette, Stack } from 'office-ui-fabric-react';
var HorizontalStackVerticalAlignExample = /** @class */ (function (_super) {
    tslib_1.__extends(HorizontalStackVerticalAlignExample, _super);
    function HorizontalStackVerticalAlignExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    HorizontalStackVerticalAlignExample.prototype.render = function () {
        var styles = mergeStyleSets({
            root: {
                background: DefaultPalette.themeTertiary,
                height: 100
            },
            item: {
                width: 50,
                height: 50,
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                background: DefaultPalette.themePrimary,
                color: DefaultPalette.white
            }
        });
        var stackTokens = { childrenGap: 5 };
        return (React.createElement(Stack, { tokens: stackTokens },
            React.createElement("span", null, "Top-aligned"),
            React.createElement(Stack, { horizontal: true, verticalAlign: "start", className: styles.root },
                React.createElement("span", { className: styles.item }, "1"),
                React.createElement("span", { className: styles.item }, "2"),
                React.createElement("span", { className: styles.item }, "3")),
            React.createElement("span", null, "Vertically centered"),
            React.createElement(Stack, { horizontal: true, verticalAlign: "center", className: styles.root },
                React.createElement("span", { className: styles.item }, "1"),
                React.createElement("span", { className: styles.item }, "2"),
                React.createElement("span", { className: styles.item }, "3")),
            React.createElement("span", null, "Bottom-aligned"),
            React.createElement(Stack, { horizontal: true, verticalAlign: "end", className: styles.root },
                React.createElement("span", { className: styles.item }, "1"),
                React.createElement("span", { className: styles.item }, "2"),
                React.createElement("span", { className: styles.item }, "3"))));
    };
    return HorizontalStackVerticalAlignExample;
}(React.Component));
export { HorizontalStackVerticalAlignExample };
//# sourceMappingURL=Stack.Horizontal.VerticalAlign.Example.js.map